## AwnAppletSimple AwnAppletSimple |

## Functions

GtkWidget * | awn_applet_simple_new ()
void | awn_applet_simple_set_icon_pixbuf ()
void | awn_applet_simple_set_icon_context ()
void | awn_applet_simple_set_icon_surface ()
void | awn_applet_simple_set_icon_name ()
void | awn_applet_simple_set_icon_info ()
void | awn_applet_simple_set_icon_state ()
void | awn_applet_simple_set_tooltip_text ()
gchar * | awn_applet_simple_get_tooltip_text ()
void | awn_applet_simple_set_message ()
gchar * | awn_applet_simple_get_message ()
void | awn_applet_simple_set_progress ()
gfloat | awn_applet_simple_get_progress ()
AwnIcon * | awn_applet_simple_get_icon ()
void | awn_applet_simple_set_effect ()

## Signals

void | clicked | Action
void | context-menu-popup | Action
void | middle-clicked | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkPlug
                                    ╰── AwnApplet
                                        ╰── AwnAppletSimple

## Description

## Functions

### awn_applet_simple_new ()

    GtkWidget *
    awn_applet_simple_new (const gchar *canonical_name,
                           const gchar *uid,
                           gint panel_id);

### awn_applet_simple_set_icon_pixbuf ()

    void
    awn_applet_simple_set_icon_pixbuf (AwnAppletSimple *applet,
                                       GdkPixbuf *pixbuf);

### awn_applet_simple_set_icon_context ()

    void
    awn_applet_simple_set_icon_context (AwnAppletSimple *applet,
                                        cairo_t *cr);

### awn_applet_simple_set_icon_surface ()

    void
    awn_applet_simple_set_icon_surface (AwnAppletSimple *applet,
                                        cairo_surface_t *surface);

### awn_applet_simple_set_icon_name ()

    void
    awn_applet_simple_set_icon_name (AwnAppletSimple *applet,
                                     const gchar *icon_name);

### awn_applet_simple_set_icon_info ()

    void
    awn_applet_simple_set_icon_info (AwnAppletSimple *applet,
                                     GStrv states,
                                     GStrv icon_names);

### awn_applet_simple_set_icon_state ()

    void
    awn_applet_simple_set_icon_state (AwnAppletSimple *applet,
                                      const gchar *state);

### awn_applet_simple_set_tooltip_text ()

    void
    awn_applet_simple_set_tooltip_text (AwnAppletSimple *applet,
                                        const gchar *text);

### awn_applet_simple_get_tooltip_text ()

    gchar *
    awn_applet_simple_get_tooltip_text (AwnAppletSimple *applet);

### awn_applet_simple_set_message ()

    void
    awn_applet_simple_set_message (AwnAppletSimple *applet,
                                   const gchar *message);

### awn_applet_simple_get_message ()

    gchar *
    awn_applet_simple_get_message (AwnAppletSimple *applet);

### awn_applet_simple_set_progress ()

    void
    awn_applet_simple_set_progress (AwnAppletSimple *applet,
                                    gfloat progress);

### awn_applet_simple_get_progress ()

    gfloat
    awn_applet_simple_get_progress (AwnAppletSimple *applet);

### awn_applet_simple_get_icon ()

    AwnIcon *
    awn_applet_simple_get_icon (AwnAppletSimple *applet);

### awn_applet_simple_set_effect ()

    void
    awn_applet_simple_set_effect (AwnAppletSimple *applet,
                                  AwnEffect effect);

## Types and Values

## Signal Details

### The `“clicked”` signal

    void
    user_function (AwnAppletSimple *awnappletsimple,
                   gpointer         user_data)

Flags: Action

### The `“context-menu-popup”` signal

    void
    user_function (AwnAppletSimple *awnappletsimple,
                   GdkEvent        *arg1,
                   gpointer         user_data)

Flags: Action

### The `“middle-clicked”` signal

    void
    user_function (AwnAppletSimple *awnappletsimple,
                   gpointer         user_data)

Flags: Action